import { Turnkey } from "@turnkey/sdk-server";const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!,});const response = await turnkeyClient.apiClient().createWallet({ walletName: "<string> (Human-readable name for a Wallet.)", accounts: [{ // A list of wallet Accounts. This field, if not needed, should be an empty array in your request body., curve: "<CURVE_SECP256K1>" // curve field, pathFormat: "<PATH_FORMAT_BIP32>" // pathFormat field, path: "<string> (Path used to generate a wallet Account.)", addressFormat: "<ADDRESS_FORMAT_UNCOMPRESSED>" // addressFormat field, name: "<string> (Optional human-readable name for the account.)", }], mnemonicLength: 0 // Length of mnemonic to generate the Wallet seed. Defaults to 12. Accepted values: 12, 15, 18, 21, 24.});
import { Turnkey } from "@turnkey/sdk-server";const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!,});const response = await turnkeyClient.apiClient().createWallet({ walletName: "<string> (Human-readable name for a Wallet.)", accounts: [{ // A list of wallet Accounts. This field, if not needed, should be an empty array in your request body., curve: "<CURVE_SECP256K1>" // curve field, pathFormat: "<PATH_FORMAT_BIP32>" // pathFormat field, path: "<string> (Path used to generate a wallet Account.)", addressFormat: "<ADDRESS_FORMAT_UNCOMPRESSED>" // addressFormat field, name: "<string> (Optional human-readable name for the account.)", }], mnemonicLength: 0 // Length of mnemonic to generate the Wallet seed. Defaults to 12. Accepted values: 12, 15, 18, 21, 24.});